# QAbstractUriResolver Class Reference

### [com.trolltech.qt.xmlpatterns package]

Inherits QObject.

### Constructor

- void QAbstractUriResolver(QObject parent)

### Constructor Properties

- prototype: The QAbstractUriResolver prototype object

### Prototype Object Properties

The QAbstractUriResolver prototype object inherits properties from the QObject prototype object and also has the following properties.

- QUrl resolve(QUrl relative, QUrl baseURI)

### Instance Properties

QAbstractUriResolver objects have no special properties beyond those inherited from the QAbstractUriResolver prototype object.